Package net.shibboleth.idp.plugin.authn.webauthn.authn

# Class BaseOptionsParameters

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.authn.BaseOptionsParameters

Direct Known Subclasses:
  `CredentialCreationOptionsParameters`, `CredentialRequestOptionsParameters`

public abstract class BaseOptionsParameters extends Object
Abstract options parameters class. Common to WebAuthn credential 'create' or 'get' options.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final byte[]`
`challenge`
The challenge sent to the authenticator in authentication or registration ceremonies.
`private final com.yubico.webauthn.data.UserVerificationRequirement`
`userVerificationRequirement`
Does the authentication/registration require user verification.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BaseOptionsParameters(com.yubico.webauthn.data.UserVerificationRequirement uvRequirement, byte[] challengeIn)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`final byte[]`
`getChallenge()`
Get the challenge.
`final com.yubico.webauthn.data.UserVerificationRequirement`
`getUserVerificationRequirement()`
Get the user verification requirement.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### userVerificationRequirement

@Nonnull private final com.yubico.webauthn.data.UserVerificationRequirement userVerificationRequirement
Does the authentication/registration require user verification.

### challenge

@Nonnull private final byte[] challenge
The challenge sent to the authenticator in authentication or registration ceremonies.

## Constructor Details

### BaseOptionsParameters

protected BaseOptionsParameters(@Nonnull com.yubico.webauthn.data.UserVerificationRequirement uvRequirement, @Nonnull byte[] challengeIn)
Constructor.

Parameters:
  `uvRequirement` - the user verification requirement
  `challengeIn` - the challenge

## Method Details

### getUserVerificationRequirement

@Nonnull public final com.yubico.webauthn.data.UserVerificationRequirement getUserVerificationRequirement()
Get the user verification requirement.

Returns:
  the userVerificationRequirement.

### getChallenge

@Nonnull public final byte[] getChallenge()
Get the challenge.

Returns:
  the challenge.